Commits

Mark Lavin  committed 1b67d3e

Release notes and README update on the status of Python 3 support. Fixes #58.

  • Participants
  • Parent commits e08b8fe

Comments (0)

Files changed (2)

     Begining with version django-selectable version 0.6, Django 1.2 is no longer supported.
     While it may continue to work, bugs related to Django 1.2 support will not be fixed.
 
+    Version 0.7 adds experimental support for Python 3.2+ when used with Django 1.5+.
+
 To install::
-    
+
     pip install django-selectable
 
 Next add `selectable` to your `INSTALLED_APPS` to include the related css/js::

File docs/releases.rst

 might have previously used the ``autocomplete`` namespace/plugin, those references should
 be updated to reference the ``djselectable`` plugin.
 
+This release also adds experimental support for Python 3.2+ to go along with Django's support in 1.5.
+To use Python 3 with django-selectable you will need to use Django 1.5+.
+
+- Experimental Python 3.2+ support
 - Improved the scope of ``prepareQuery`` and ``formatLabel`` options. Not fully backwards compatible. Thanks to Augusto Men.
 - Allow passing the Python path string in place of the lookup class to the fields and widgets. Thanks to Michael Manfre.
 - Allow passing JS plugin options through the widget ``attrs`` option. Thanks to Felipe Prenholato.